Subject: Re: [bug#76529] [PATCH 1/4] gnu: emacs: Update to 30.1.

From: Liam Hupfer <[email-masked]>
Date: Wed, 26 Feb 2025 21:26:04 -0600

Liliana Marie Prikler <[email-masked]> writes:

> I will take some time to prepare emacs-team for the patches.

Good to hear! If it helps, here’s what I encountered trying out 30.1
locally with native compilation via package-input-rewriting:

• native compilation bug affecting emacs-aio: <https://yhetil.org/emacs/[email-masked]/>
• tests failing for helpful:
  <https://github.com/Wilfred/helpful/issues/351>
• tests failing for notmuch (already fixed on master):
  <https://yhetil.org/notmuch/[email-masked]/>

I hacked around these locally by disabling native compilation or tests,
but presumably patches (ideally from upstream) are preferred in Guix.

—Liam